//
// PalmSync par Jean-Marc QUR
// Tous droits rservs APIEND et Jean-Marc QUR, 2001
//

library PalmSync;

uses
  SysUtils,
  Classes,
  Dialogs,
  WDInOut in 'WDInOut.pas',
  UserInfo in 'UserInfo.pas',
  RecordDatabase in 'RecordDatabase.pas',
  PDInOut in 'PDInOut.pas';

function Adapter(WDASCIIZ:PChar):Integer; cdecl; export;
var
  sli,
  slo:TStringList;
begin
  consigne('<-'+String(WDASCIIZ));
//MessageDlg(String(WDASCIIZ),mtWarning,[mbOK],0);
  sli:=TStringList.Create;
  slo:=TStringList.Create;
  WDAZtoStringList(WDASCIIZ,sli);
  if sli[0]='UserInfo' then
  begin
    if (sli[1]='Get') and (sli.Count=2) then
      UserInfo_Get(sli,slo);
  end
  else if sli[0]='RecordDatabase' then
  begin
    if (sli[1]='OpenDatabase') and (sli.Count=5) then
      RecordDatabase_OpenDatabase(sli,slo);
    if (sli[1]='ReadNext') and (sli.Count=4) then
      RecordDatabase_ReadNext(sli,slo);
    if (sli[1]='CloseDatabase') and (sli.Count=3) then
      RecordDatabase_CloseDatabase(sli,slo);
    if (sli[1]='WriteRecord') and (sli.Count>7) then
      RecordDatabase_WriteRecord(sli,slo);
    if (sli[1]='Remove') and (sli.Count=4) then
      RecordDatabase_Remove(sli,slo);
    if (sli[1]='ReadById') and (sli.Count=5) then
      RecordDatabase_ReadById(sli,slo);
    if (sli[1]='ReadNextModified') and (sli.Count=4) then
      RecordDatabase_ReadNextModified(sli,slo);
  end;
  StrPCopy(WDASCIIZ,SLtoEscString(slo));
  sli.Free;
  slo.Free;
  consigne('->'+String(WDASCIIZ));
//MessageDlg(String(WDASCIIZ),mtWarning,[mbOK],0);
  result:=Length(WDASCIIZ);
end;

exports
  Adapter;

begin
  ShortDateFormat:='dd/mm/yyyy';
  DecimalSeparator:='.';
end.
