//
// PalmSync par Jean-Marc QUR
// Tous droits rservs APIEND et Jean-Marc QUR, 2001
//

unit PDDirectLib_TLB;

// ************************************************************************ //
// AVERTISSEMENT                                         //
// -------                                                                  //
// Les types dclars dans ce fichier ont t gnrs  partir d'une bibliothque   //
// de types. Si cette dernire est r-importe explicitement ou indirectement        //
// (par  une autre bibliothque de types qui s'y rfre), ou si la commande          //
// 'Refresh' de l'Editeur de bibliothque de types est active pendant l'dition //
// de la bibliothque de types, le contenu de ce fichier sera regnr et toutes     //
// les modifications manuelles seront perdues.                                       //
// ************************************************************************ //

// PASTLWTR : $Revision:   1.11.1.75  $
// Fichier gnr le 08/08/2001 17:31:17 depuis la bibliothque de types ci-dessous.

// ************************************************************************ //
// Bibl. de types : C:\CDK402a\Common\Bin\C4.02\ComDirect.tlb
// IID\LCID: {6FD7A7A0-FA1F-11D2-AC32-006008E3F0A2}\0
// Fichier aide : 
// Chane d'aide  : Palm ComDirect 1.0 Type Library
// Version :    1.0
// ************************************************************************ //

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

// *********************************************************************//
// GUIDS dclars dans la bibliothque de types. Les prfixes suivants sont utiliss : //
//   Bibliothque de types : LIBID_xxxx                           //
//   CoClasses          : CLASS_xxxx                                    //
//   DISPInterfaces     : DIID_xxxx                                     //
//   Non-DISP interfaces: IID_xxxx                                      //
// *********************************************************************//
const
  LIBID_PDDirectLib: TGUID = '{6FD7A7A0-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDClientNotify: TGUID = '{5AA15E24-EE68-11D2-AC32-006008E3F0A2}';
  IID_IPDAInitialize: TGUID = '{2FC8FC60-4FCC-11D3-AC46-006008E3F0A2}';
  IID_IPDSystemAdapter: TGUID = '{1772DEE0-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDSystemAdapter: TGUID = '{7DEBC7E0-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDUserInfo: TGUID = '{1772DEE3-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDMemoryCardInfo: TGUID = '{1772DEE1-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDHotsyncInfo: TGUID = '{1772DEE2-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDDatabaseQuery: TGUID = '{1772DEE4-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDDatabaseQuery: TGUID = '{7DEBC7E4-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDDatabaseInfo: TGUID = '{1772DEE5-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDUtility: TGUID = '{1772DEE9-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDUtility: TGUID = '{7DEBC7E9-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDDatabaseInfo: TGUID = '{7DEBC7E5-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDHotsyncInfo: TGUID = '{7DEBC7E2-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDMemoryCardInfo: TGUID = '{7DEBC7E1-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDUserInfo: TGUID = '{7DEBC7E3-FA1F-11D2-AC32-006008E3F0A2}';

// *********************************************************************//
// Dclaration des numrations dfinies dans la bibliothque de types                 //
// *********************************************************************//
// EDbFlags constants
type
  EDbFlags = TOleEnum;
const
  eRecord = $00000000;
  eResource = $00000001;
  eReadOnly = $00000002;
  eAppInfoDirty = $00000004;
  eBackupDb = $00000008;
  eOkToInstallNewer = $00000010;
  eResetAfterInstall = $00000020;
  eCopyPrevention = $00000040;
  eOpenDb = $00008000;

// EAccessModes constants
type
  EAccessModes = TOleEnum;
const
  eShowSecret = $00000010;
  eExclusive = $00000020;
  eWrite = $00000040;
  eRead = $00000080;

// EPDDirectErrors constants
type
  EPDDirectErrors = TOleEnum;
const
  eParamError = $80042000;
  eSyncApiError = $80042001;
  eSyncApiVersion = $80042002;
  eOsVersion = $80042003;
  eDatabaseMismatch = $80042004;
  eFileExists = $80042005;
  eFileNotOpen = $80042006;
  eFileIsOpen = $80042007;
  eBadOperation = $80042008;
  eUnknownRequest = $80042009;
  eBufferTooSmall = $8004200A;
  eCommunications = $8004200B;
  eSyncCanceled = $8004200C;
  ePalmLogFull = $8004200D;
  eHotsyncLogError = $8004200E;
  eReadOnlyMode = $8004200F;
  eNotFound = $80042010;
  eLocalMemory = $80042011;
  eRemoteMemory = $80042012;
  eOtherError = $80042013;
  eNoServerObject = $80042014;
  eBadAdapterName = $80042015;
  eObjectCreation = $80042016;

// ESyncPref constants
type
  ESyncPref = TOleEnum;
const
  eNoPreference = $00000000;
  ePermanentPreference = $00000001;
  eTemporaryPreference = $00000002;

// ESyncTypes constants
type
  ESyncTypes = TOleEnum;
const
  eFast = $00000000;
  eSlow = $00000001;
  eHHtoPC = $00000002;
  ePCtoHH = $00000003;
  eInstall = $00000004;
  eBackup = $00000005;
  eDoNothing = $00000006;
  eProfileInstall = $00000007;

// EGetConduitInfo constants
type
  EGetConduitInfo = TOleEnum;
const
  eGetConduitName = $00000000;
  eGetMfcVersion = $00000001;
  eGetDefaultAction = $00000002;
  eGetConduitVersion = $00000003;
  eGetConduitInfoDoNotUse = $FFFFFFFF;

// EMfcVersion constants
type
  EMfcVersion = TOleEnum;
const
  ePDMFC_VERSION_41 = $00000410;
  ePDMFC_VERSION_50 = $00000500;
  ePDMFC_VERSION_60 = $00000600;
  ePDMFC_VERSION_70 = $00000700;
  ePDMFC_NOT_USED = $10000000;

// ELogActivity constants
type
  ELogActivity = TOleEnum;
const
  eText = $FFFFFFFF;
  eDoubleModify = $00000000;
  eDoubleModifyArchive = $00000001;
  eReverseDelete = $00000002;
  eTooManyCategories = $00000003;
  eCategoryDeleted = $00000004;
  eDateChanged = $00000005;
  eCustomLabel = $00000006;
  eChangeCatFailed = $00000007;
  eRemoteReadFailed = $00000008;
  eRemoteAddFailed = $00000009;
  eRemotePurgeFailed = $0000000A;
  eRemoteChangeFailed = $0000000B;
  eRemoteDeleteFailed = $0000000C;
  eLocalAddFailed = $0000000D;
  eRecCountMismatch = $0000000E;
  eXMapFailed = $0000000F;
  eArchiveFailed = $00000010;
  eLocalSaveFailed = $00000011;
  eResetFlagsFailed = $00000012;
  eSyncStarted = $00000013;
  eSyncFinished = $00000014;
  eSyncAborted = $00000015;
  eWarning = $00000016;

// EFirstSync constants
type
  EFirstSync = TOleEnum;
const
  eNeither = $00000000;
  ePC = $00000001;
  eHH = $00000002;

// EConnectionType constants
type
  EConnectionType = TOleEnum;
const
  eCable = $00000000;
  eModem = $00000001;

type

// *********************************************************************//
// Dclaration forward des interfaces dfinies dans la bibliothque de types            //
// *********************************************************************//
  IPDClientNotify = interface;
  IPDAInitialize = interface;
  IPDSystemAdapter = interface;
  IPDSystemAdapterDisp = dispinterface;
  IPDUserInfo = interface;
  IPDUserInfoDisp = dispinterface;
  IPDMemoryCardInfo = interface;
  IPDMemoryCardInfoDisp = dispinterface;
  IPDHotsyncInfo = interface;
  IPDHotsyncInfoDisp = dispinterface;
  IPDDatabaseQuery = interface;
  IPDDatabaseQueryDisp = dispinterface;
  IPDDatabaseInfo = interface;
  IPDDatabaseInfoDisp = dispinterface;
  IPDUtility = interface;
  IPDUtilityDisp = dispinterface;

// *********************************************************************//
// Dclaration des CoClasses dfinies dans la bibliothque de types            //
// Remarque: nous affectons chaque coClass  son interface par dfaut    //
// *********************************************************************//
  PDSystemAdapter = IPDSystemAdapter;
  PDDatabaseQuery = IPDDatabaseQuery;
  PDUtility = IPDUtility;
  PDDatabaseInfo = IPDDatabaseInfo;
  PDHotsyncInfo = IPDHotsyncInfo;
  PDMemoryCardInfo = IPDMemoryCardInfo;
  PDUserInfo = IPDUserInfo;


// *********************************************************************//
// Interface: IPDClientNotify
// Indicateur :     (256) OleAutomation
// GUID :      {5AA15E24-EE68-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDClientNotify = interface(IUnknown)
    ['{5AA15E24-EE68-11D2-AC32-006008E3F0A2}']
    function BeginProcess(out bEnable: WordBool): HResult; stdcall;
    function ConfigureConduit(const pPathName: WideString; const pRegistry: WideString; 
                              var nSyncPref: Integer; var nSyncType: Integer): HResult; stdcall;
    function GetConduitInfo(infoType: EGetConduitInfo; dwCreatorId: Integer; dwUserId: Integer; 
                            const bstrUserName: WideString; out pResult: OleVariant): HResult; stdcall;
    function CfgConduit(nCreatorId: Integer; nUserId: Integer; const bstrUserName: WideString; 
                        const bstrPathName: WideString; var nSyncPerm: Integer; 
                        var nSyncTemp: Integer; var nSyncNew: Integer; var nSyncPref: Integer): HResult; stdcall;
  end;

// *********************************************************************//
// Interface: IPDAInitialize
// Indicateur :     (256) OleAutomation
// GUID :      {2FC8FC60-4FCC-11D3-AC46-006008E3F0A2}
// *********************************************************************//
  IPDAInitialize = interface(IUnknown)
    ['{2FC8FC60-4FCC-11D3-AC46-006008E3F0A2}']
    function Initialize(nVal1: Integer; nVal2: Integer): HResult; stdcall;
    function Identity(out bRecord: WordBool): HResult; stdcall;
    function DisableErrorObject(bDisable: WordBool): HResult; stdcall;
  end;

// *********************************************************************//
// Interface: IPDSystemAdapter
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE0-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDSystemAdapter = interface(IDispatch)
    ['{1772DEE0-FA1F-11D2-AC32-006008E3F0A2}']
    procedure AddLogEntry(const pLogText: WideString; eActivity: ELogActivity; 
                          bTimeStamp: WordBool; bPalmLog: WordBool); safecall;
    function ReadAppPreference(vCreator: OleVariant; nId: Integer; bBackup: WordBool; 
                               out nVersion: Smallint): OleVariant; safecall;
    procedure WriteAppPreference(vCreator: OleVariant; nId: Integer; bBackup: WordBool; 
                                 nVersion: Smallint; vPrefs: OleVariant); safecall;
    procedure SyncMgrAPIVersion(out nVMajor: Smallint; out nVMinor: Smallint); safecall;
    procedure HHOsVersion(out nVMajor: Smallint; out nVMinor: Smallint); safecall;
    function ReadFeature(vCreator: OleVariant; nFeature: Integer): Integer; safecall;
    function CallRemoteModule(vCreator: OleVariant; vDbType: OleVariant; nAction: Smallint; 
                              vParams: OleVariant; var nResultSize: Integer; 
                              out nResultCode: Integer): OleVariant; safecall;
    procedure RebootSystem; safecall;
    function Get_PDUserInfo: IPDUserInfo; safecall;
    function Get_PDMemoryCardInfo(nCard: Integer): IPDMemoryCardInfo; safecall;
    function Get_PDHotsyncInfo: IPDHotsyncInfo; safecall;
    function Get_DateTime: TDateTime; safecall;
    procedure Set_DateTime(dtSysDate: TDateTime); safecall;
    function Get_RomSoftwareVersion: Integer; safecall;
    function Get_LocalizationId: Integer; safecall;
    function Get_ProductId: WideString; safecall;
    property PDUserInfo: IPDUserInfo read Get_PDUserInfo;
    property PDMemoryCardInfo[nCard: Integer]: IPDMemoryCardInfo read Get_PDMemoryCardInfo;
    property PDHotsyncInfo: IPDHotsyncInfo read Get_PDHotsyncInfo;
    property DateTime: TDateTime read Get_DateTime write Set_DateTime;
    property RomSoftwareVersion: Integer read Get_RomSoftwareVersion;
    property LocalizationId: Integer read Get_LocalizationId;
    property ProductId: WideString read Get_ProductId;
  end;

// *********************************************************************//
// DispIntf :  IPDSystemAdapterDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE0-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDSystemAdapterDisp = dispinterface
    ['{1772DEE0-FA1F-11D2-AC32-006008E3F0A2}']
    procedure AddLogEntry(const pLogText: WideString; eActivity: ELogActivity; 
                          bTimeStamp: WordBool; bPalmLog: WordBool); dispid 1;
    function ReadAppPreference(vCreator: OleVariant; nId: Integer; bBackup: WordBool; 
                               out nVersion: Smallint): OleVariant; dispid 2;
    procedure WriteAppPreference(vCreator: OleVariant; nId: Integer; bBackup: WordBool; 
                                 nVersion: Smallint; vPrefs: OleVariant); dispid 3;
    procedure SyncMgrAPIVersion(out nVMajor: Smallint; out nVMinor: Smallint); dispid 4;
    procedure HHOsVersion(out nVMajor: Smallint; out nVMinor: Smallint); dispid 5;
    function ReadFeature(vCreator: OleVariant; nFeature: Integer): Integer; dispid 6;
    function CallRemoteModule(vCreator: OleVariant; vDbType: OleVariant; nAction: Smallint; 
                              vParams: OleVariant; var nResultSize: Integer; 
                              out nResultCode: Integer): OleVariant; dispid 7;
    procedure RebootSystem; dispid 8;
    property PDUserInfo: IPDUserInfo readonly dispid 9;
    property PDMemoryCardInfo[nCard: Integer]: IPDMemoryCardInfo readonly dispid 10;
    property PDHotsyncInfo: IPDHotsyncInfo readonly dispid 11;
    property DateTime: TDateTime dispid 12;
    property RomSoftwareVersion: Integer readonly dispid 13;
    property LocalizationId: Integer readonly dispid 14;
    property ProductId: WideString readonly dispid 15;
  end;

// *********************************************************************//
// Interface: IPDUserInfo
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE3-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDUserInfo = interface(IDispatch)
    ['{1772DEE3-FA1F-11D2-AC32-006008E3F0A2}']
    function Get_UserName: WideString; safecall;
    function Get_Password: WideString; safecall;
    function Get_LastSyncDate: TDateTime; safecall;
    function Get_LastSyncPC: Integer; safecall;
    function Get_UserId: Integer; safecall;
    function Get_ViewerId: Integer; safecall;
    property UserName: WideString read Get_UserName;
    property Password: WideString read Get_Password;
    property LastSyncDate: TDateTime read Get_LastSyncDate;
    property LastSyncPC: Integer read Get_LastSyncPC;
    property UserId: Integer read Get_UserId;
    property ViewerId: Integer read Get_ViewerId;
  end;

// *********************************************************************//
// DispIntf :  IPDUserInfoDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE3-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDUserInfoDisp = dispinterface
    ['{1772DEE3-FA1F-11D2-AC32-006008E3F0A2}']
    property UserName: WideString readonly dispid 1;
    property Password: WideString readonly dispid 2;
    property LastSyncDate: TDateTime readonly dispid 3;
    property LastSyncPC: Integer readonly dispid 4;
    property UserId: Integer readonly dispid 5;
    property ViewerId: Integer readonly dispid 6;
  end;

// *********************************************************************//
// Interface: IPDMemoryCardInfo
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE1-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDMemoryCardInfo = interface(IDispatch)
    ['{1772DEE1-FA1F-11D2-AC32-006008E3F0A2}']
    function Get_CardNum: Integer; safecall;
    function Get_CardVersion: Smallint; safecall;
    function Get_CreationDate: TDateTime; safecall;
    function Get_RomSize: Integer; safecall;
    function Get_RamSize: Integer; safecall;
    function Get_FreeRamSize: Integer; safecall;
    function Get_CardName: WideString; safecall;
    function Get_ManufName: WideString; safecall;
    function Get_RomDbCount: Integer; safecall;
    function Get_RamDbCount: Integer; safecall;
    property CardNum: Integer read Get_CardNum;
    property CardVersion: Smallint read Get_CardVersion;
    property CreationDate: TDateTime read Get_CreationDate;
    property RomSize: Integer read Get_RomSize;
    property RamSize: Integer read Get_RamSize;
    property FreeRamSize: Integer read Get_FreeRamSize;
    property CardName: WideString read Get_CardName;
    property ManufName: WideString read Get_ManufName;
    property RomDbCount: Integer read Get_RomDbCount;
    property RamDbCount: Integer read Get_RamDbCount;
  end;

// *********************************************************************//
// DispIntf :  IPDMemoryCardInfoDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE1-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDMemoryCardInfoDisp = dispinterface
    ['{1772DEE1-FA1F-11D2-AC32-006008E3F0A2}']
    property CardNum: Integer readonly dispid 1;
    property CardVersion: Smallint readonly dispid 2;
    property CreationDate: TDateTime readonly dispid 3;
    property RomSize: Integer readonly dispid 4;
    property RamSize: Integer readonly dispid 5;
    property FreeRamSize: Integer readonly dispid 6;
    property CardName: WideString readonly dispid 7;
    property ManufName: WideString readonly dispid 8;
    property RomDbCount: Integer readonly dispid 9;
    property RamDbCount: Integer readonly dispid 10;
  end;

// *********************************************************************//
// Interface: IPDHotsyncInfo
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE2-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDHotsyncInfo = interface(IDispatch)
    ['{1772DEE2-FA1F-11D2-AC32-006008E3F0A2}']
    function Get_SyncType: ESyncTypes; safecall;
    function Get_FirstSync: EFirstSync; safecall;
    function Get_ConnectionType: EConnectionType; safecall;
    function Get_PathName: WideString; safecall;
    function Get_LocalName: WideString; safecall;
    function Get_UserName: WideString; safecall;
    function Get_RemoteNameCount: Smallint; safecall;
    function Get_NameList: OleVariant; safecall;
    function Get_Creator: Integer; safecall;
    function Get_DbType: Integer; safecall;
    function Get_CardNum: Integer; safecall;
    function Get_RegistryPath: WideString; safecall;
    function Get_RegistryKey: Integer; safecall;
    property SyncType: ESyncTypes read Get_SyncType;
    property FirstSync: EFirstSync read Get_FirstSync;
    property ConnectionType: EConnectionType read Get_ConnectionType;
    property PathName: WideString read Get_PathName;
    property LocalName: WideString read Get_LocalName;
    property UserName: WideString read Get_UserName;
    property RemoteNameCount: Smallint read Get_RemoteNameCount;
    property NameList: OleVariant read Get_NameList;
    property Creator: Integer read Get_Creator;
    property DbType: Integer read Get_DbType;
    property CardNum: Integer read Get_CardNum;
    property RegistryPath: WideString read Get_RegistryPath;
    property RegistryKey: Integer read Get_RegistryKey;
  end;

// *********************************************************************//
// DispIntf :  IPDHotsyncInfoDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE2-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDHotsyncInfoDisp = dispinterface
    ['{1772DEE2-FA1F-11D2-AC32-006008E3F0A2}']
    property SyncType: ESyncTypes readonly dispid 1;
    property FirstSync: EFirstSync readonly dispid 2;
    property ConnectionType: EConnectionType readonly dispid 3;
    property PathName: WideString readonly dispid 4;
    property LocalName: WideString readonly dispid 5;
    property UserName: WideString readonly dispid 6;
    property RemoteNameCount: Smallint readonly dispid 7;
    property NameList: OleVariant readonly dispid 8;
    property Creator: Integer readonly dispid 9;
    property DbType: Integer readonly dispid 10;
    property CardNum: Integer readonly dispid 11;
    property RegistryPath: WideString readonly dispid 12;
    property RegistryKey: Integer readonly dispid 13;
  end;

// *********************************************************************//
// Interface: IPDDatabaseQuery
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE4-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDDatabaseQuery = interface(IDispatch)
    ['{1772DEE4-FA1F-11D2-AC32-006008E3F0A2}']
    procedure AddLogEntry(const pLogText: WideString; eActivity: ELogActivity; 
                          bTimeStamp: WordBool; bPalmLog: WordBool); safecall;
    function ReadDbNameList(bRam: WordBool): OleVariant; safecall;
    function ReadDbInfoByName(const pName: WideString): IPDDatabaseInfo; safecall;
    function ReadDbInfoByCreatorType(vCreator: OleVariant; vDbType: OleVariant; 
                                     bFirstQuery: WordBool): IPDDatabaseInfo; safecall;
    function OpenRecordDatabase(const pDbName: WideString; const pAdapterName: WideString; 
                                eAccessMode: EAccessModes): IUnknown; safecall;
    function OpenResourceDatabase(const pDbName: WideString; const pAdapterName: WideString; 
                                  eAccessMode: EAccessModes): IUnknown; safecall;
    function CreateRecordDatabase(const pDbName: WideString; const pAdapterName: WideString; 
                                  vCreator: OleVariant; vDbType: OleVariant; 
                                  eAccessMode: EAccessModes; EDbFlags: EDbFlags; nVersion: Integer; 
                                  nCardNum: Integer): IUnknown; safecall;
    function CreateResourceDatabase(const pDbName: WideString; const pAdapterName: WideString; 
                                    vCreator: OleVariant; vDbType: OleVariant; 
                                    eAccessMode: EAccessModes; EDbFlags: EDbFlags; 
                                    nVersion: Integer; nCardNum: Integer): IUnknown; safecall;
    procedure RemoveDatabase(const pName: WideString); safecall;
    function Get_MaxAllowedRecordSize: Integer; safecall;
    function Get_RamDbCount: Integer; safecall;
    function Get_RomDbCount: Integer; safecall;
    property MaxAllowedRecordSize: Integer read Get_MaxAllowedRecordSize;
    property RamDbCount: Integer read Get_RamDbCount;
    property RomDbCount: Integer read Get_RomDbCount;
  end;

// *********************************************************************//
// DispIntf :  IPDDatabaseQueryDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE4-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDDatabaseQueryDisp = dispinterface
    ['{1772DEE4-FA1F-11D2-AC32-006008E3F0A2}']
    procedure AddLogEntry(const pLogText: WideString; eActivity: ELogActivity; 
                          bTimeStamp: WordBool; bPalmLog: WordBool); dispid 1;
    function ReadDbNameList(bRam: WordBool): OleVariant; dispid 2;
    function ReadDbInfoByName(const pName: WideString): IPDDatabaseInfo; dispid 3;
    function ReadDbInfoByCreatorType(vCreator: OleVariant; vDbType: OleVariant; 
                                     bFirstQuery: WordBool): IPDDatabaseInfo; dispid 4;
    function OpenRecordDatabase(const pDbName: WideString; const pAdapterName: WideString; 
                                eAccessMode: EAccessModes): IUnknown; dispid 5;
    function OpenResourceDatabase(const pDbName: WideString; const pAdapterName: WideString; 
                                  eAccessMode: EAccessModes): IUnknown; dispid 6;
    function CreateRecordDatabase(const pDbName: WideString; const pAdapterName: WideString; 
                                  vCreator: OleVariant; vDbType: OleVariant; 
                                  eAccessMode: EAccessModes; EDbFlags: EDbFlags; nVersion: Integer; 
                                  nCardNum: Integer): IUnknown; dispid 7;
    function CreateResourceDatabase(const pDbName: WideString; const pAdapterName: WideString; 
                                    vCreator: OleVariant; vDbType: OleVariant; 
                                    eAccessMode: EAccessModes; EDbFlags: EDbFlags; 
                                    nVersion: Integer; nCardNum: Integer): IUnknown; dispid 8;
    procedure RemoveDatabase(const pName: WideString); dispid 9;
    property MaxAllowedRecordSize: Integer readonly dispid 10;
    property RamDbCount: Integer readonly dispid 11;
    property RomDbCount: Integer readonly dispid 12;
  end;

// *********************************************************************//
// Interface: IPDDatabaseInfo
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE5-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDDatabaseInfo = interface(IDispatch)
    ['{1772DEE5-FA1F-11D2-AC32-006008E3F0A2}']
    procedure Refresh; safecall;
    function Get_DbName: WideString; safecall;
    function Get_Creator: Integer; safecall;
    function Get_DbType: Integer; safecall;
    function Get_Version: Integer; safecall;
    function Get_DbFlags: EDbFlags; safecall;
    function Get_IsRam: WordBool; safecall;
    function Get_ExcludeFromSync: WordBool; safecall;
    function Get_RecordCount: Integer; safecall;
    function Get_CardNum: Integer; safecall;
    function Get_ModCount: Integer; safecall;
    function Get_DbIndex: Integer; safecall;
    function Get_CreateDate: TDateTime; safecall;
    function Get_ModDate: TDateTime; safecall;
    function Get_BackupDate: TDateTime; safecall;
    function Get_TotalBytes: Integer; safecall;
    function Get_DataBytes: Integer; safecall;
    function Get_AppInfoSize: Integer; safecall;
    function Get_SortInfoSize: Integer; safecall;
    function Get_MaxRecordSize: Integer; safecall;
    property DbName: WideString read Get_DbName;
    property Creator: Integer read Get_Creator;
    property DbType: Integer read Get_DbType;
    property Version: Integer read Get_Version;
    property DbFlags: EDbFlags read Get_DbFlags;
    property IsRam: WordBool read Get_IsRam;
    property ExcludeFromSync: WordBool read Get_ExcludeFromSync;
    property RecordCount: Integer read Get_RecordCount;
    property CardNum: Integer read Get_CardNum;
    property ModCount: Integer read Get_ModCount;
    property DbIndex: Integer read Get_DbIndex;
    property CreateDate: TDateTime read Get_CreateDate;
    property ModDate: TDateTime read Get_ModDate;
    property BackupDate: TDateTime read Get_BackupDate;
    property TotalBytes: Integer read Get_TotalBytes;
    property DataBytes: Integer read Get_DataBytes;
    property AppInfoSize: Integer read Get_AppInfoSize;
    property SortInfoSize: Integer read Get_SortInfoSize;
    property MaxRecordSize: Integer read Get_MaxRecordSize;
  end;

// *********************************************************************//
// DispIntf :  IPDDatabaseInfoDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE5-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDDatabaseInfoDisp = dispinterface
    ['{1772DEE5-FA1F-11D2-AC32-006008E3F0A2}']
    procedure Refresh; dispid 1;
    property DbName: WideString readonly dispid 2;
    property Creator: Integer readonly dispid 3;
    property DbType: Integer readonly dispid 4;
    property Version: Integer readonly dispid 5;
    property DbFlags: EDbFlags readonly dispid 6;
    property IsRam: WordBool readonly dispid 7;
    property ExcludeFromSync: WordBool readonly dispid 8;
    property RecordCount: Integer readonly dispid 9;
    property CardNum: Integer readonly dispid 10;
    property ModCount: Integer readonly dispid 11;
    property DbIndex: Integer readonly dispid 12;
    property CreateDate: TDateTime readonly dispid 13;
    property ModDate: TDateTime readonly dispid 14;
    property BackupDate: TDateTime readonly dispid 15;
    property TotalBytes: Integer readonly dispid 16;
    property DataBytes: Integer readonly dispid 17;
    property AppInfoSize: Integer readonly dispid 18;
    property SortInfoSize: Integer readonly dispid 19;
    property MaxRecordSize: Integer readonly dispid 20;
  end;

// *********************************************************************//
// Interface: IPDUtility
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE9-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDUtility = interface(IDispatch)
    ['{1772DEE9-FA1F-11D2-AC32-006008E3F0A2}']
    function WORDToByteArray(var pvData: OleVariant; nOffset: Integer; bSwap: WordBool; 
                             nWordVal: Smallint): Integer; safecall;
    function ByteArrayToWORD(vData: OleVariant; nOffset: Integer; bSwap: WordBool; 
                             out nWordVal: Smallint): Integer; safecall;
    function DWORDToByteArray(var pvData: OleVariant; nOffset: Integer; bSwap: WordBool; 
                              nDWordVal: Integer): Integer; safecall;
    function ByteArrayToDWORD(vData: OleVariant; nOffset: Integer; bSwap: WordBool; 
                              out nDWordVal: Integer): Integer; safecall;
    function BSTRToByteArray(var pvData: OleVariant; nOffset: Integer; const pBstr: WideString): Integer; safecall;
    function ByteArrayToBSTR(vData: OleVariant; nOffset: Integer; nLength: Integer; 
                             out pBstr: WideString): Integer; safecall;
    function AllBytesToBSTR(vData: OleVariant; nOffset: Integer; pSubstitute: Byte; 
                            out pBstr: WideString): Integer; safecall;
    function ByteArrayToHexBSTR(vData: OleVariant; nOffset: Integer; nCount: Integer; 
                                out pBstr: WideString): Integer; safecall;
    function SwapWORD(nWordVal: Smallint): Smallint; safecall;
    function SwapDWORD(nDWordVal: Integer): Integer; safecall;
    function DWORDToBSTR(nDWordVal: Integer; bSwap: WordBool): WideString; safecall;
    function BSTRToDWORD(const pBstr: WideString; bSwap: WordBool): Integer; safecall;
    function RecordIdToString(vRecordId: OleVariant): WideString; safecall;
    function RecordIdToByteArray(vRecordId: OleVariant; nOffset: Integer; bSwap: WordBool; 
                                 var pvData: OleVariant): Integer; safecall;
    function ByteArrayToRecordId(vData: OleVariant; nOffset: Integer; bSwap: WordBool; 
                                 out vRecordId: OleVariant): Integer; safecall;
    function StringToRecordId(const vData: WideString): OleVariant; safecall;
  end;

// *********************************************************************//
// DispIntf :  IPDUtilityDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE9-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDUtilityDisp = dispinterface
    ['{1772DEE9-FA1F-11D2-AC32-006008E3F0A2}']
    function WORDToByteArray(var pvData: OleVariant; nOffset: Integer; bSwap: WordBool; 
                             nWordVal: Smallint): Integer; dispid 1;
    function ByteArrayToWORD(vData: OleVariant; nOffset: Integer; bSwap: WordBool; 
                             out nWordVal: Smallint): Integer; dispid 2;
    function DWORDToByteArray(var pvData: OleVariant; nOffset: Integer; bSwap: WordBool; 
                              nDWordVal: Integer): Integer; dispid 3;
    function ByteArrayToDWORD(vData: OleVariant; nOffset: Integer; bSwap: WordBool; 
                              out nDWordVal: Integer): Integer; dispid 4;
    function BSTRToByteArray(var pvData: OleVariant; nOffset: Integer; const pBstr: WideString): Integer; dispid 5;
    function ByteArrayToBSTR(vData: OleVariant; nOffset: Integer; nLength: Integer; 
                             out pBstr: WideString): Integer; dispid 6;
    function AllBytesToBSTR(vData: OleVariant; nOffset: Integer; pSubstitute: Byte; 
                            out pBstr: WideString): Integer; dispid 7;
    function ByteArrayToHexBSTR(vData: OleVariant; nOffset: Integer; nCount: Integer; 
                                out pBstr: WideString): Integer; dispid 8;
    function SwapWORD(nWordVal: Smallint): Smallint; dispid 9;
    function SwapDWORD(nDWordVal: Integer): Integer; dispid 10;
    function DWORDToBSTR(nDWordVal: Integer; bSwap: WordBool): WideString; dispid 11;
    function BSTRToDWORD(const pBstr: WideString; bSwap: WordBool): Integer; dispid 12;
    function RecordIdToString(vRecordId: OleVariant): WideString; dispid 13;
    function RecordIdToByteArray(vRecordId: OleVariant; nOffset: Integer; bSwap: WordBool; 
                                 var pvData: OleVariant): Integer; dispid 14;
    function ByteArrayToRecordId(vData: OleVariant; nOffset: Integer; bSwap: WordBool; 
                                 out vRecordId: OleVariant): Integer; dispid 15;
    function StringToRecordId(const vData: WideString): OleVariant; dispid 16;
  end;

  CoPDSystemAdapter = class
    class function Create: IPDSystemAdapter;
    class function CreateRemote(const MachineName: string): IPDSystemAdapter;
  end;

  CoPDDatabaseQuery = class
    class function Create: IPDDatabaseQuery;
    class function CreateRemote(const MachineName: string): IPDDatabaseQuery;
  end;

  CoPDUtility = class
    class function Create: IPDUtility;
    class function CreateRemote(const MachineName: string): IPDUtility;
  end;

implementation

uses ComObj;

class function CoPDSystemAdapter.Create: IPDSystemAdapter;
begin
  Result := CreateComObject(CLASS_PDSystemAdapter) as IPDSystemAdapter;
end;

class function CoPDSystemAdapter.CreateRemote(const MachineName: string): IPDSystemAdapter;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_PDSystemAdapter) as IPDSystemAdapter;
end;

class function CoPDDatabaseQuery.Create: IPDDatabaseQuery;
begin
  Result := CreateComObject(CLASS_PDDatabaseQuery) as IPDDatabaseQuery;
end;

class function CoPDDatabaseQuery.CreateRemote(const MachineName: string): IPDDatabaseQuery;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_PDDatabaseQuery) as IPDDatabaseQuery;
end;

class function CoPDUtility.Create: IPDUtility;
begin
  Result := CreateComObject(CLASS_PDUtility) as IPDUtility;
end;

class function CoPDUtility.CreateRemote(const MachineName: string): IPDUtility;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_PDUtility) as IPDUtility;
end;

end.
