//
// PalmSync par Jean-Marc QUR
// Tous droits rservs APIEND et Jean-Marc QUR, 2001
//

unit PDStandardLib_TLB;

// ************************************************************************ //
// AVERTISSEMENT                                         //
// -------                                                                  //
// Les types dclars dans ce fichier ont t gnrs  partir d'une bibliothque   //
// de types. Si cette dernire est r-importe explicitement ou indirectement        //
// (par  une autre bibliothque de types qui s'y rfre), ou si la commande          //
// 'Refresh' de l'Editeur de bibliothque de types est active pendant l'dition //
// de la bibliothque de types, le contenu de ce fichier sera regnr et toutes     //
// les modifications manuelles seront perdues.                                       //
// ************************************************************************ //

// PASTLWTR : $Revision:   1.11.1.75  $
// Fichier gnr le 08/08/2001 17:31:52 depuis la bibliothque de types ci-dessous.

// ************************************************************************ //
// Bibl. de types : C:\CDK402a\Common\Bin\C4.02\ComStandard.tlb
// IID\LCID: {6FD7A7A1-FA1F-11D2-AC32-006008E3F0A2}\0
// Fichier aide : 
// Chane d'aide  : Palm ComStandard 1.0 Type Library
// Version :    1.0
// ************************************************************************ //

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

// *********************************************************************//
// GUIDS dclars dans la bibliothque de types. Les prfixes suivants sont utiliss : //
//   Bibliothque de types : LIBID_xxxx                           //
//   CoClasses          : CLASS_xxxx                                    //
//   DISPInterfaces     : DIID_xxxx                                     //
//   Non-DISP interfaces: IID_xxxx                                      //
// *********************************************************************//
const
  LIBID_PDStandardLib: TGUID = '{6FD7A7A1-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDRecordAdapter: TGUID = '{1772DEE6-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDRecordAdapter: TGUID = '{7DEBC7E6-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDDatabaseInfo: TGUID = '{1772DEE5-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDCategories: TGUID = '{1772DEE8-FA1F-11D2-AC32-006008E3F0A2}';
  IID_IPDResourceAdapter: TGUID = '{1772DEE7-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDResourceAdapter: TGUID = '{7DEBC7E7-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDCategories: TGUID = '{7DEBC7E8-FA1F-11D2-AC32-006008E3F0A2}';
  CLASS_PDDatabaseInfo: TGUID = '{7DEBC7E5-FA1F-11D2-AC32-006008E3F0A2}';

// *********************************************************************//
// Dclaration des numrations dfinies dans la bibliothque de types                 //
// *********************************************************************//
// EDbFlags constants
type
  EDbFlags = TOleEnum;
const
  eRecord = $00000000;
  eResource = $00000001;
  eReadOnly = $00000002;
  eAppInfoDirty = $00000004;
  eBackupDb = $00000008;
  eOkToInstallNewer = $00000010;
  eResetAfterInstall = $00000020;
  eCopyPrevention = $00000040;
  eOpenDb = $00008000;

// EAccessModes constants
type
  EAccessModes = TOleEnum;
const
  eShowSecret = $00000010;
  eExclusive = $00000020;
  eWrite = $00000040;
  eRead = $00000080;

// EPDDirectErrors constants
type
  EPDDirectErrors = TOleEnum;
const
  eParamError = $80042000;
  eSyncApiError = $80042001;
  eSyncApiVersion = $80042002;
  eOsVersion = $80042003;
  eDatabaseMismatch = $80042004;
  eFileExists = $80042005;
  eFileNotOpen = $80042006;
  eFileIsOpen = $80042007;
  eBadOperation = $80042008;
  eUnknownRequest = $80042009;
  eBufferTooSmall = $8004200A;
  eCommunications = $8004200B;
  eSyncCanceled = $8004200C;
  ePalmLogFull = $8004200D;
  eHotsyncLogError = $8004200E;
  eReadOnlyMode = $8004200F;
  eNotFound = $80042010;
  eLocalMemory = $80042011;
  eRemoteMemory = $80042012;
  eOtherError = $80042013;
  eNoServerObject = $80042014;
  eBadAdapterName = $80042015;
  eObjectCreation = $80042016;

// ERecordAttributes constants
type
  ERecordAttributes = TOleEnum;
const
  eDelete = $00000080;
  eDirty = $00000040;
  eSecret = $00000010;
  eArchive = $00000008;

// ELogActivity constants
type
  ELogActivity = TOleEnum;
const
  eText = $FFFFFFFF;
  eDoubleModify = $00000000;
  eDoubleModifyArchive = $00000001;
  eReverseDelete = $00000002;
  eTooManyCategories = $00000003;
  eCategoryDeleted = $00000004;
  eDateChanged = $00000005;
  eCustomLabel = $00000006;
  eChangeCatFailed = $00000007;
  eRemoteReadFailed = $00000008;
  eRemoteAddFailed = $00000009;
  eRemotePurgeFailed = $0000000A;
  eRemoteChangeFailed = $0000000B;
  eRemoteDeleteFailed = $0000000C;
  eLocalAddFailed = $0000000D;
  eRecCountMismatch = $0000000E;
  eXMapFailed = $0000000F;
  eArchiveFailed = $00000010;
  eLocalSaveFailed = $00000011;
  eResetFlagsFailed = $00000012;
  eSyncStarted = $00000013;
  eSyncFinished = $00000014;
  eSyncAborted = $00000015;
  eWarning = $00000016;

// ERemoveSetType constants
type
  ERemoveSetType = TOleEnum;
const
  eRemoveAllRecords = $00000000;
  eRemoveAllDeletedRecords = $00000001;
  eRemoveAllRecordsInCategory = $00000002;

// EUpdateDbDates constants
type
  EUpdateDbDates = TOleEnum;
const
  eNone = $00000000;
  eModifiedDate = $00000040;
  eBackupDate = $00000080;
  eBothDates = $000000C0;

type

// *********************************************************************//
// Dclaration forward des interfaces dfinies dans la bibliothque de types            //
// *********************************************************************//
  IPDRecordAdapter = interface;
  IPDRecordAdapterDisp = dispinterface;
  IPDDatabaseInfo = interface;
  IPDDatabaseInfoDisp = dispinterface;
  IPDCategories = interface;
  IPDCategoriesDisp = dispinterface;
  IPDResourceAdapter = interface;
  IPDResourceAdapterDisp = dispinterface;

// *********************************************************************//
// Dclaration des CoClasses dfinies dans la bibliothque de types            //
// Remarque: nous affectons chaque coClass  son interface par dfaut    //
// *********************************************************************//
  PDRecordAdapter = IPDRecordAdapter;
  PDResourceAdapter = IPDResourceAdapter;
  PDCategories = IPDCategories;
  PDDatabaseInfo = IPDDatabaseInfo;


// *********************************************************************//
// Interface: IPDRecordAdapter
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE6-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDRecordAdapter = interface(IDispatch)
    ['{1772DEE6-FA1F-11D2-AC32-006008E3F0A2}']
    procedure AddLogEntry(const pLogText: WideString; eActivity: ELogActivity; 
                          bTimeStamp: WordBool; bPalmLog: WordBool); safecall;
    function ReadByIndex(nIndex: Integer; out pvUniqueId: OleVariant; out nCategory: Integer; 
                         out eAttributes: ERecordAttributes): OleVariant; safecall;
    function ReadById(out nIndex: Integer; vUniqueId: OleVariant; out nCategory: Integer; 
                      out eAttributes: ERecordAttributes): OleVariant; safecall;
    function ReadNext(out nIndex: Integer; out pvUniqueId: OleVariant; out nCategory: Integer; 
                      out eAttributes: ERecordAttributes): OleVariant; safecall;
    function ReadNextModified(out nIndex: Integer; out pvUniqueId: OleVariant; 
                              out nCategory: Integer; out eAttributes: ERecordAttributes): OleVariant; safecall;
    function ReadNextInCategory(out nIndex: Integer; out pvUniqueId: OleVariant; 
                                nCategory: Integer; out eAttributes: ERecordAttributes): OleVariant; safecall;
    function ReadNextModifiedInCategory(out nIndex: Integer; out pvUniqueId: OleVariant; 
                                        nCategory: Integer; out eAttributes: ERecordAttributes): OleVariant; safecall;
    procedure Write(var pvUniqueId: OleVariant; nCategory: Integer; eAttributes: ERecordAttributes; 
                    vData: OleVariant); safecall;
    procedure Remove(varUniqueId: OleVariant); safecall;
    procedure RemoveSet(eSetType: ERemoveSetType; nCategory: Integer); safecall;
    function ReadAppInfoBlock: OleVariant; safecall;
    procedure WriteAppInfoBlock(vAppInfo: OleVariant); safecall;
    function ReadSortInfoBlock: OleVariant; safecall;
    procedure WriteSortInfoBlock(vSortInfo: OleVariant); safecall;
    procedure ChangeCategory(nOldCategory: Integer; nNewCategory: Integer); safecall;
    procedure ResetAllModifiedFlags; safecall;
    function ReadUniqueIdList(nFirstIndex: Integer; var nRead: Integer): OleVariant; safecall;
    function Get_DbName: WideString; safecall;
    function Get_RecordCount: Integer; safecall;
    function Get_AccessMode: EAccessModes; safecall;
    function Get_PDDatabaseInfo: IPDDatabaseInfo; safecall;
    function Get_CloseOptions: EUpdateDbDates; safecall;
    procedure Set_CloseOptions(eOptions: EUpdateDbDates); safecall;
    function Get_InputBufferSize: Integer; safecall;
    procedure Set_InputBufferSize(nSize: Integer); safecall;
    function Get_PDCategories: IPDCategories; safecall;
    function Get_IterationIndex: Integer; safecall;
    procedure Set_IterationIndex(nIndex: Integer); safecall;
    function Get_EOF: WordBool; safecall;
    property DbName: WideString read Get_DbName;
    property RecordCount: Integer read Get_RecordCount;
    property AccessMode: EAccessModes read Get_AccessMode;
    property PDDatabaseInfo: IPDDatabaseInfo read Get_PDDatabaseInfo;
    property CloseOptions: EUpdateDbDates read Get_CloseOptions write Set_CloseOptions;
    property InputBufferSize: Integer read Get_InputBufferSize write Set_InputBufferSize;
    property PDCategories: IPDCategories read Get_PDCategories;
    property IterationIndex: Integer read Get_IterationIndex write Set_IterationIndex;
    property EOF: WordBool read Get_EOF;
  end;

// *********************************************************************//
// DispIntf :  IPDRecordAdapterDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE6-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDRecordAdapterDisp = dispinterface
    ['{1772DEE6-FA1F-11D2-AC32-006008E3F0A2}']
    procedure AddLogEntry(const pLogText: WideString; eActivity: ELogActivity; 
                          bTimeStamp: WordBool; bPalmLog: WordBool); dispid 1;
    function ReadByIndex(nIndex: Integer; out pvUniqueId: OleVariant; out nCategory: Integer; 
                         out eAttributes: ERecordAttributes): OleVariant; dispid 2;
    function ReadById(out nIndex: Integer; vUniqueId: OleVariant; out nCategory: Integer; 
                      out eAttributes: ERecordAttributes): OleVariant; dispid 3;
    function ReadNext(out nIndex: Integer; out pvUniqueId: OleVariant; out nCategory: Integer; 
                      out eAttributes: ERecordAttributes): OleVariant; dispid 4;
    function ReadNextModified(out nIndex: Integer; out pvUniqueId: OleVariant; 
                              out nCategory: Integer; out eAttributes: ERecordAttributes): OleVariant; dispid 5;
    function ReadNextInCategory(out nIndex: Integer; out pvUniqueId: OleVariant; 
                                nCategory: Integer; out eAttributes: ERecordAttributes): OleVariant; dispid 6;
    function ReadNextModifiedInCategory(out nIndex: Integer; out pvUniqueId: OleVariant; 
                                        nCategory: Integer; out eAttributes: ERecordAttributes): OleVariant; dispid 7;
    procedure Write(var pvUniqueId: OleVariant; nCategory: Integer; eAttributes: ERecordAttributes; 
                    vData: OleVariant); dispid 8;
    procedure Remove(varUniqueId: OleVariant); dispid 9;
    procedure RemoveSet(eSetType: ERemoveSetType; nCategory: Integer); dispid 10;
    function ReadAppInfoBlock: OleVariant; dispid 11;
    procedure WriteAppInfoBlock(vAppInfo: OleVariant); dispid 12;
    function ReadSortInfoBlock: OleVariant; dispid 13;
    procedure WriteSortInfoBlock(vSortInfo: OleVariant); dispid 14;
    procedure ChangeCategory(nOldCategory: Integer; nNewCategory: Integer); dispid 15;
    procedure ResetAllModifiedFlags; dispid 16;
    function ReadUniqueIdList(nFirstIndex: Integer; var nRead: Integer): OleVariant; dispid 17;
    property DbName: WideString readonly dispid 18;
    property RecordCount: Integer readonly dispid 19;
    property AccessMode: EAccessModes readonly dispid 20;
    property PDDatabaseInfo: IPDDatabaseInfo readonly dispid 21;
    property CloseOptions: EUpdateDbDates dispid 22;
    property InputBufferSize: Integer dispid 23;
    property PDCategories: IPDCategories readonly dispid 24;
    property IterationIndex: Integer dispid 25;
    property EOF: WordBool readonly dispid 26;
  end;

// *********************************************************************//
// Interface: IPDDatabaseInfo
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE5-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDDatabaseInfo = interface(IDispatch)
    ['{1772DEE5-FA1F-11D2-AC32-006008E3F0A2}']
    procedure Refresh; safecall;
    function Get_DbName: WideString; safecall;
    function Get_Creator: Integer; safecall;
    function Get_DbType: Integer; safecall;
    function Get_Version: Integer; safecall;
    function Get_DbFlags: EDbFlags; safecall;
    function Get_IsRam: WordBool; safecall;
    function Get_ExcludeFromSync: WordBool; safecall;
    function Get_RecordCount: Integer; safecall;
    function Get_CardNum: Integer; safecall;
    function Get_ModCount: Integer; safecall;
    function Get_DbIndex: Integer; safecall;
    function Get_CreateDate: TDateTime; safecall;
    function Get_ModDate: TDateTime; safecall;
    function Get_BackupDate: TDateTime; safecall;
    function Get_TotalBytes: Integer; safecall;
    function Get_DataBytes: Integer; safecall;
    function Get_AppInfoSize: Integer; safecall;
    function Get_SortInfoSize: Integer; safecall;
    function Get_MaxRecordSize: Integer; safecall;
    property DbName: WideString read Get_DbName;
    property Creator: Integer read Get_Creator;
    property DbType: Integer read Get_DbType;
    property Version: Integer read Get_Version;
    property DbFlags: EDbFlags read Get_DbFlags;
    property IsRam: WordBool read Get_IsRam;
    property ExcludeFromSync: WordBool read Get_ExcludeFromSync;
    property RecordCount: Integer read Get_RecordCount;
    property CardNum: Integer read Get_CardNum;
    property ModCount: Integer read Get_ModCount;
    property DbIndex: Integer read Get_DbIndex;
    property CreateDate: TDateTime read Get_CreateDate;
    property ModDate: TDateTime read Get_ModDate;
    property BackupDate: TDateTime read Get_BackupDate;
    property TotalBytes: Integer read Get_TotalBytes;
    property DataBytes: Integer read Get_DataBytes;
    property AppInfoSize: Integer read Get_AppInfoSize;
    property SortInfoSize: Integer read Get_SortInfoSize;
    property MaxRecordSize: Integer read Get_MaxRecordSize;
  end;

// *********************************************************************//
// DispIntf :  IPDDatabaseInfoDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE5-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDDatabaseInfoDisp = dispinterface
    ['{1772DEE5-FA1F-11D2-AC32-006008E3F0A2}']
    procedure Refresh; dispid 1;
    property DbName: WideString readonly dispid 2;
    property Creator: Integer readonly dispid 3;
    property DbType: Integer readonly dispid 4;
    property Version: Integer readonly dispid 5;
    property DbFlags: EDbFlags readonly dispid 6;
    property IsRam: WordBool readonly dispid 7;
    property ExcludeFromSync: WordBool readonly dispid 8;
    property RecordCount: Integer readonly dispid 9;
    property CardNum: Integer readonly dispid 10;
    property ModCount: Integer readonly dispid 11;
    property DbIndex: Integer readonly dispid 12;
    property CreateDate: TDateTime readonly dispid 13;
    property ModDate: TDateTime readonly dispid 14;
    property BackupDate: TDateTime readonly dispid 15;
    property TotalBytes: Integer readonly dispid 16;
    property DataBytes: Integer readonly dispid 17;
    property AppInfoSize: Integer readonly dispid 18;
    property SortInfoSize: Integer readonly dispid 19;
    property MaxRecordSize: Integer readonly dispid 20;
  end;

// *********************************************************************//
// Interface: IPDCategories
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE8-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDCategories = interface(IDispatch)
    ['{1772DEE8-FA1F-11D2-AC32-006008E3F0A2}']
    procedure Save; safecall;
    procedure Refresh; safecall;
    procedure ResetDirtyFlags; safecall;
    function Get_Name(nIndex: Integer): WideString; safecall;
    procedure Set_Name(nIndex: Integer; const pName: WideString); safecall;
    function Get_CategoryId(nIndex: Integer): Integer; safecall;
    procedure Set_CategoryId(nIndex: Integer; nId: Integer); safecall;
    function Get_Dirty(nIndex: Integer): WordBool; safecall;
    procedure Set_Dirty(nIndex: Integer; bDirty: WordBool); safecall;
    function Get_LastId: Integer; safecall;
    procedure Set_LastId(nId: Integer); safecall;
    function Get_DbName: WideString; safecall;
    property Name[nIndex: Integer]: WideString read Get_Name write Set_Name;
    property CategoryId[nIndex: Integer]: Integer read Get_CategoryId write Set_CategoryId;
    property Dirty[nIndex: Integer]: WordBool read Get_Dirty write Set_Dirty;
    property LastId: Integer read Get_LastId write Set_LastId;
    property DbName: WideString read Get_DbName;
  end;

// *********************************************************************//
// DispIntf :  IPDCategoriesDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE8-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDCategoriesDisp = dispinterface
    ['{1772DEE8-FA1F-11D2-AC32-006008E3F0A2}']
    procedure Save; dispid 1;
    procedure Refresh; dispid 2;
    procedure ResetDirtyFlags; dispid 3;
    property Name[nIndex: Integer]: WideString dispid 4;
    property CategoryId[nIndex: Integer]: Integer dispid 5;
    property Dirty[nIndex: Integer]: WordBool dispid 6;
    property LastId: Integer dispid 7;
    property DbName: WideString readonly dispid 8;
  end;

// *********************************************************************//
// Interface: IPDResourceAdapter
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE7-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDResourceAdapter = interface(IDispatch)
    ['{1772DEE7-FA1F-11D2-AC32-006008E3F0A2}']
    procedure AddLogEntry(const pLogText: WideString; eActivity: ELogActivity; 
                          bTimeStamp: WordBool; bPalmLog: WordBool); safecall;
    function ReadResource(nIndex: Integer; out nType: Integer; out nId: Integer): OleVariant; safecall;
    function ReadNextResource(out nIndex: Integer; out nType: Integer; out nId: Integer): OleVariant; safecall;
    procedure WriteResource(vType: OleVariant; nId: Integer; vData: OleVariant); safecall;
    procedure RemoveResource(vType: OleVariant; nId: Integer); safecall;
    procedure RemoveAllResources; safecall;
    function Get_DbName: WideString; safecall;
    function Get_AccessMode: EAccessModes; safecall;
    function Get_RecordCount: Integer; safecall;
    function Get_PDDatabaseInfo: IPDDatabaseInfo; safecall;
    function Get_CloseOptions: EUpdateDbDates; safecall;
    procedure Set_CloseOptions(eOptions: EUpdateDbDates); safecall;
    function Get_InputBufferSize: Integer; safecall;
    procedure Set_InputBufferSize(nSize: Integer); safecall;
    function Get_IterationIndex: Integer; safecall;
    procedure Set_IterationIndex(nIndex: Integer); safecall;
    function Get_EOF: WordBool; safecall;
    property DbName: WideString read Get_DbName;
    property AccessMode: EAccessModes read Get_AccessMode;
    property RecordCount: Integer read Get_RecordCount;
    property PDDatabaseInfo: IPDDatabaseInfo read Get_PDDatabaseInfo;
    property CloseOptions: EUpdateDbDates read Get_CloseOptions write Set_CloseOptions;
    property InputBufferSize: Integer read Get_InputBufferSize write Set_InputBufferSize;
    property IterationIndex: Integer read Get_IterationIndex write Set_IterationIndex;
    property EOF: WordBool read Get_EOF;
  end;

// *********************************************************************//
// DispIntf :  IPDResourceAdapterDisp
// Indicateur :     (4544) Dual NonExtensible OleAutomation Dispatchable
// GUID :      {1772DEE7-FA1F-11D2-AC32-006008E3F0A2}
// *********************************************************************//
  IPDResourceAdapterDisp = dispinterface
    ['{1772DEE7-FA1F-11D2-AC32-006008E3F0A2}']
    procedure AddLogEntry(const pLogText: WideString; eActivity: ELogActivity; 
                          bTimeStamp: WordBool; bPalmLog: WordBool); dispid 1;
    function ReadResource(nIndex: Integer; out nType: Integer; out nId: Integer): OleVariant; dispid 2;
    function ReadNextResource(out nIndex: Integer; out nType: Integer; out nId: Integer): OleVariant; dispid 3;
    procedure WriteResource(vType: OleVariant; nId: Integer; vData: OleVariant); dispid 4;
    procedure RemoveResource(vType: OleVariant; nId: Integer); dispid 5;
    procedure RemoveAllResources; dispid 6;
    property DbName: WideString readonly dispid 7;
    property AccessMode: EAccessModes readonly dispid 8;
    property RecordCount: Integer readonly dispid 9;
    property PDDatabaseInfo: IPDDatabaseInfo readonly dispid 10;
    property CloseOptions: EUpdateDbDates dispid 11;
    property InputBufferSize: Integer dispid 12;
    property IterationIndex: Integer dispid 13;
    property EOF: WordBool readonly dispid 14;
  end;

  CoPDRecordAdapter = class
    class function Create: IPDRecordAdapter;
    class function CreateRemote(const MachineName: string): IPDRecordAdapter;
  end;

  CoPDResourceAdapter = class
    class function Create: IPDResourceAdapter;
    class function CreateRemote(const MachineName: string): IPDResourceAdapter;
  end;

implementation

uses ComObj;

class function CoPDRecordAdapter.Create: IPDRecordAdapter;
begin
  Result := CreateComObject(CLASS_PDRecordAdapter) as IPDRecordAdapter;
end;

class function CoPDRecordAdapter.CreateRemote(const MachineName: string): IPDRecordAdapter;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_PDRecordAdapter) as IPDRecordAdapter;
end;

class function CoPDResourceAdapter.Create: IPDResourceAdapter;
begin
  Result := CreateComObject(CLASS_PDResourceAdapter) as IPDResourceAdapter;
end;

class function CoPDResourceAdapter.CreateRemote(const MachineName: string): IPDResourceAdapter;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_PDResourceAdapter) as IPDResourceAdapter;
end;

end.
