//
// PalmSync par Jean-Marc QUR
// Tous droits rservs APIEND et Jean-Marc QUR, 2001
//

unit UserInfo;

interface

uses
  SysUtils,
  Classes,
  PDDirectLib_TLB,
  PDStandardLib_TLB,
  ComObj;

procedure UserInfo_Get(SLI:TStringList; var SLO:TStringList);

implementation

procedure UserInfo_Get(SLI:TStringList; var SLO:TStringList); 
var
  SystemAdapter:IPDSystemAdapter;
  UserInfo:IPDUserInfo;
begin
  try
    SystemAdapter:=CreateComObject(StringToGUID('PDDirect.PDSystemAdapter')) as IPDSystemAdapter;
    UserInfo:=(SystemAdapter as IPDSystemAdapter).Get_PDUserInfo() as IPDUserInfo;
    SLO.Add(UserInfo.Get_UserName());
    SLO.Add(UserInfo.Get_Password());
    SLO.Add(DateTimeToStr(UserInfo.Get_LastSyncDate()));
    SLO.Add(IntToStr(UserInfo.Get_LastSyncPC()));
    SLO.Add(IntToStr(UserInfo.Get_UserId()));
    SLO.Add(IntToStr(UserInfo.Get_ViewerId()));
  except on E:Exception do
  end;
end;


end.
